<?php
$del=$_GET[del]; if($del!="") { if($o=="k") { @unlink('inc/'.$del.'.inc.php'); @unlink('../inc/'.$del.'.inc.php');
mysql_query("DELETE FROM ".$dbx."_module WHERE modul='".$del."'");
echo genMsg('03/16/02','Das Modul wurde erfolgreich gelöscht.');
}
else echo "Möchten Sie das Modul \"".$del."\" wirklich unwiederruflich löschen?<br><br><form action=index.php><input type=hidden name=d value=module><input type=hidden name=del value=".$del."><input type=hidden name=o value=k><input type=submit value=\"Ja, jetzt löschen\" class=formbutton></form>";
} elseif($o=="k") { move_uploaded_file($_FILES["moduldatei"]["tmp_name"], "../__TEMP__/moduldatei.mod");
chmod ("../__TEMP__/moduldatei.mod", 0777);
$datei = fopen("../__TEMP__/moduldatei.mod","r+");
while (!feof($datei)) $modulinfo .= fgets($datei, 1000);
fclose($datei);
$modulinfo=explode("//---MODUL---//",$modulinfo); $modul=utf8_decode($modulinfo[0]); $modulsql=utf8_decode($modulinfo[1]); $moduladmin=utf8_decode($modulinfo[2]); $modulphp=utf8_decode($modulinfo[3]); $modul=explode("||",$modul);
$sqlm=explode(";",$modulsql); foreach($sqlm as $sqle) mysql_query($sqle);
@chmod ("inc/", 0777); @chmod ("../inc/", 0777);
$modul[0]=preg_replace("/[^a-zA-Z0-9_äöüÄÖÜ]/" , "" , $modul[0]);
$handler = fopen("inc/".$modul[0].".inc.php" , "w+");
fwrite($handler , $moduladmin); fclose($handler);
$handler = fopen("../inc/".$modul[0].".inc.php" , "w+");
fwrite($handler , $modulphp); fclose($handler);
$doublecheck=mysql_query("SELECT id FROM ".$dbx."_module WHERE modul='".$modul[0]."'");
if(mysql_num_rows($doublecheck)==0) mysql_query("INSERT INTO ".$dbx."_module (modul,titel,icon) VALUES ('".$modul[0]."','".$modul[1]."','".$modul[2]."')");
echo genMsg('03/16/02','Das Modul wurde erfolgreich installiert.');
} else {
echo "<table border=0 cellspacing=0 cellpadding=5 width=100%>";
$getmod=mysql_query("SELECT * FROM ".$dbx."_module ORDER BY titel"); while($m=mysql_fetch_array($getmod)) {
if($bgc=="") $bgc=" bgcolor=#f5f5f5"; else $bgc=""; echo "<tr".$bgc."><td><img src=../icon/"; if($m[icon]!="") echo $m[icon]; else echo "02/16/19";
echo ".png width=16 height=16 align=absmiddle> <b>".$m[titel]."</b></td><td class=small><img src=../icon/01/10/41.png width=10 height=10 align=absmiddle> <a href=\"index.php?d=".$m[modul]."\">Administration</a></td><td class=small><img src=../icon/03/10/01.png width=10 height=10 align=absmiddle> <a href=\"index.php?d=module&del=".$m[modul]."\">Löschen</a></td></tr>";
} echo "</table><br><br><div style=\"background-color:#f7f7f7;border-bottom:1px solid #ddd;padding:4px;\" class=small>Neues Modul installieren:</div><br><form action=index.php method=post enctype=multipart/form-data><input type=hidden name=d value=module><input type=hidden name=o value=k><input type=file name=moduldatei style=width:350px class=formbutton accept=\"text/*\"><br><br><input type=submit value=Weiter class=formbutton></form>"; }
?>